// SampleApp_VC++_MFCView.h : Schnittstelle der Klasse CSampleApp_VC_MFCView
//


#pragma once


class CSampleApp_VC_MFCView : public CView
{
protected: // Nur aus Serialisierung erstellen
	CSampleApp_VC_MFCView();
	DECLARE_DYNCREATE(CSampleApp_VC_MFCView)

// Attribute
public:
	CSampleApp_VC_MFCDoc* GetDocument() const;

// Operationen
public:

// Überschreibungen
	public:
	virtual void OnDraw(CDC* pDC);  // Überladen, um diese Ansicht darzustellen
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementierung
public:
	virtual ~CSampleApp_VC_MFCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Funktionen für die Meldungstabellen
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // Debugversion in SampleApp_VC++_MFCView.cpp
inline CSampleApp_VC_MFCDoc* CSampleApp_VC_MFCView::GetDocument() const
   { return reinterpret_cast<CSampleApp_VC_MFCDoc*>(m_pDocument); }
#endif

